### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
SabrVolSurface Class Reference

SABR volatility (smile) surface. More...

`#include <ql/experimental/volatility/sabrvolsurface.hpp>`

Inheritance diagram for SabrVolSurface:
[legend]

List of all members.

## Public Member Functions

| SabrVolSurface (const boost::shared_ptr< InterestRateIndex > &, const Handle< BlackAtmVolCurve > &, const std::vector< Period > &optionTenors, const std::vector< Spread > &atmRateSpreads, const std::vector< std::vector< Handle< Quote > > > &volSpreads)
const Handle< BlackAtmVolCurve > & | atmCurve () const
std::vector< Volatility > | volatilitySpreads (const Period &) const
std::vector< Volatility > | volatilitySpreads (const Date &) const
TermStructure interface
DayCounter | dayCounter () const
| the day counter used for date/time conversion
Date | maxDate () const
| the latest date for which the curve can return values
Time | maxTime () const
| the latest time for which the curve can return values
const Date & | referenceDate () const
| the date at which discount = 1.0 and/or variance = 0.0
Calendar | calendar () const
| the calendar used for reference and/or option date calculation
Natural | settlementDays () const
| the settlementDays used for reference date calculation
VolatilityTermStructure interface
Real | minStrike () const
| the minimum strike for which the term structure can return vols
Real | maxStrike () const
| the maximum strike for which the term structure can return vols
Visitability
virtual void | accept (AcyclicVisitor &)
BlackVolSurface interface
boost::shared_ptr< SmileSection > | smileSectionImpl (Time) const

## Protected Member Functions

boost::array< Real, 4 > | sabrGuesses (const Date &) const
LazyObject interface
void | performCalculations () const
virtual void | update ()

## Detailed Description

SABR volatility (smile) surface.

blah blah

## Member Function Documentation

virtual void update | ( |  | ) | `[protected, virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from TermStructure.